import fs from 'fs';
import { transformFileSync } from '@babel/core';

await Promise.all([
  'Dropdown',
  'SigninForm',
  'SignupForm',
  'SocialMenu'
].map(async componentName => {
  const { code } = transformFileSync(
    `${process.env.PWD}/components/${componentName}/index.jsx`,
    { presets: ['@babel/preset-react'] }
  );

  if (code) {
    await fs.promises.writeFile(`${process.env.PWD}/dist/${componentName}/index.js`, code);
  }
}));
