import React, { useEffect, useRef } from 'react';

const Dropdown = ({ Target, Content, toggle, setToggle, className }) => {
  const toggler = useRef();

  useEffect(() => {
    const outSideClick = function (event) {
      if (toggler.current && !toggler.current.contains(event.target)) {
        setToggle(false);
      }
    };

    document.addEventListener('mousedown', outSideClick);

    return () => {
      document.removeEventListener('mousedown', outSideClick);
    };
  }, []);

  return (
    <div ref={toggler} className={className}>
      <div onClick={() => setToggle(!toggle)}>{<Target />}</div>
      {toggle && <Content />}
    </div>
  );
};

export default Dropdown;
