import React, { useEffect, useRef } from 'react';

const Dropdown = ({
  Target,
  Content,
  toggle,
  setToggle,
  className
}) => {
  const toggler = useRef();
  useEffect(() => {
    const outSideClick = function (event) {
      if (toggler.current && !toggler.current.contains(event.target)) {
        setToggle(false);
      }
    };

    document.addEventListener('mousedown', outSideClick);
    return () => {
      document.removeEventListener('mousedown', outSideClick);
    };
  }, []);
  return /*#__PURE__*/React.createElement("div", {
    ref: toggler,
    className: className
  }, /*#__PURE__*/React.createElement("div", {
    onClick: () => setToggle(!toggle)
  }, /*#__PURE__*/React.createElement(Target, null)), toggle && /*#__PURE__*/React.createElement(Content, null));
};

export default Dropdown;