import React from 'react';
const INPUT_CLASS_NAME = 'flex-1 input rounded-full placeholder:italic placeholder:text-slate-400 border-slate-400 dark:bg-transparent';

const SigninForm = ({
  display,
  onChangeEmailAddress,
  onChangePassword,
  onClickSignIn,
  inputClassName = INPUT_CLASS_NAME
}) => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-col align-center justify-center"
}, /*#__PURE__*/React.createElement("input", {
  required: true,
  type: "email",
  id: "emailAddress",
  placeholder: "Email",
  onChange: onChangeEmailAddress,
  className: inputClassName,
  style: {
    margin: "0.5rem 0"
  }
}), /*#__PURE__*/React.createElement("input", {
  required: true,
  type: "password",
  id: "password",
  placeholder: "Password",
  onChange: onChangePassword,
  className: inputClassName,
  style: {
    margin: "0.5rem 0"
  }
}), /*#__PURE__*/React.createElement("div", {
  className: "flex flex-col align-end justify-center",
  style: {
    margin: "1rem 0"
  }
}, /*#__PURE__*/React.createElement("span", {
  className: "text-right btn py-0 mt-1 text-primary dark:text-white"
}, /*#__PURE__*/React.createElement("a", {
  href: "/forgot"
}, "Forgot Password?"))), /*#__PURE__*/React.createElement("button", {
  id: "signin",
  onClick: onClickSignIn,
  className: "flex-1 btn btn-primary rounded-full dark:border-slate-400 w-100",
  style: {
    margin: "0.5rem 0"
  }
}, "Sign In"), /*#__PURE__*/React.createElement("p", {
  className: "text-center"
}, display));

export default SigninForm;