import React from 'react';
const INPUT_CLASS_NAME = 'flex-1 input rounded-full placeholder:italic placeholder:text-slate-400 border-slate-400 dark:bg-transparent';

const SignupForm = ({
  display,
  onChangeEmailAddress,
  onChangePassword1,
  onChangePassword2,
  onClickSignUp,
  inputClassName = INPUT_CLASS_NAME
}) => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-col align-center justify-center"
}, /*#__PURE__*/React.createElement("input", {
  required: true,
  type: "email",
  id: "emailAddress",
  placeholder: "Email",
  onChange: onChangeEmailAddress,
  className: inputClassName,
  style: {
    margin: "0.5rem 0"
  }
}), /*#__PURE__*/React.createElement("input", {
  required: true,
  type: "password",
  id: "password",
  placeholder: "Password",
  onChange: onChangePassword1,
  className: inputClassName,
  style: {
    margin: "0.5rem 0"
  }
}), /*#__PURE__*/React.createElement("input", {
  required: true,
  type: "password",
  id: "password",
  placeholder: "Repeat password",
  onChange: onChangePassword2,
  className: inputClassName,
  style: {
    margin: "0.5rem 0"
  }
}), /*#__PURE__*/React.createElement("button", {
  id: "signup",
  onClick: onClickSignUp,
  className: "flex-1 btn btn-primary rounded-full dark:border-slate-400 w-100",
  style: {
    margin: "0.5rem 0"
  }
}, "Sign Up"), /*#__PURE__*/React.createElement("p", {
  className: "text-center"
}, display));

export default SignupForm;